From: "Ettore Di Giacinto" <mudler@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emulation/genymotion-bin/
Date: Sun, 26 Nov 2017 22:25:09 +0000 (UTC) [thread overview]
Message-ID: <1511735068.cbb4e9e1c026725d46ca03f713e2d5ce5999ca29.mudler@gentoo> (raw)
commit: cbb4e9e1c026725d46ca03f713e2d5ce5999ca29
Author: Marco Genasci <fedeliallalinea <AT> gmail <DOT> com>
AuthorDate: Tue Nov 14 14:08:46 2017 +0000
Commit: Ettore Di Giacinto <mudler <AT> gentoo <DOT> org>
CommitDate: Sun Nov 26 22:24:28 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cbb4e9e1
app-emulation/genymotion-bin: version bump to 2.11.0
Package-Manager: Portage-2.3.8, Repoman-2.3.3
app-emulation/genymotion-bin/Manifest | 1 +
.../genymotion-bin/genymotion-bin-2.11.0.ebuild | 123 +++++++++++++++++++++
2 files changed, 124 insertions(+)
diff --git a/app-emulation/genymotion-bin/Manifest b/app-emulation/genymotion-bin/Manifest
index 7bdf1601ca4..c7f124d3a6f 100644
--- a/app-emulation/genymotion-bin/Manifest
+++ b/app-emulation/genymotion-bin/Manifest
@@ -1 +1,2 @@
DIST genymotion-2.10.0-linux_x64.bin 44847023 SHA256 558d9faf96780ddd972b7769d0e3871b71cdbc104c291d40b0be0092607dec60 SHA512 fe89376a48121b9c3cb1392d7365e13ee2865b795b1d8712e3461072bd0e0d38fd309814d7ecd5518fe2673229fb2e49b4c239211f4308f1057f3d01052d4007 WHIRLPOOL fea75a4d17bdb158316024db2b6d3f2e6e370595602b58fb7f38aa6a0bb91f0c11974548a5d2790179d139a374f515355f1e564de0e5a704afe0255b78e15509
+DIST genymotion-2.11.0-linux_x64.bin 45096365 SHA256 0ec695f5fd8a41b6fb306bd5e1088722cc0e17c0a8b174dabd9598f24225cfbc SHA512 b128fbe1e27120cdd88a6ac4661031231cc17fc0adf007fa986f7892571db7d8ce259bf6f106eb9e620149572d5ca242ae6032b7360ba7502b208ac18ef98e2e WHIRLPOOL 30990ede9dc5863c05b72fef8e67bf4dac68d185b8368247c1b6189e20ea224273fbc560d53bea10a68c3a2c0f595be9555b2fcfaae3ea20fee447809cd27868
diff --git a/app-emulation/genymotion-bin/genymotion-bin-2.11.0.ebuild b/app-emulation/genymotion-bin/genymotion-bin-2.11.0.ebuild
new file mode 100644
index 00000000000..5d9a8111355
--- /dev/null
+++ b/app-emulation/genymotion-bin/genymotion-bin-2.11.0.ebuild
@@ -0,0 +1,123 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils bash-completion-r1 pax-utils
+
+MY_PN="${PN/-bin}"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Complete set of tools that provide a virtual environment for Android"
+HOMEPAGE="http://genymotion.com"
+SRC_URI="${MY_P}-linux_x64.bin"
+DOWNLOAD_URL="https://www.genymotion.com/download/"
+
+LICENSE="genymotion"
+SLOT="0"
+KEYWORDS="-* ~amd64"
+
+DEPEND=""
+RDEPEND="|| ( >=app-emulation/virtualbox-5.0.28 >=app-emulation/virtualbox-bin-5.0.28 )
+ virtual/opengl
+ dev-libs/openssl
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtopengl:5
+ dev-qt/qtsql:5[sqlite]
+ dev-qt/qtwebkit:5
+ dev-qt/qtwebsockets:5
+ dev-qt/qtsvg:5
+ dev-qt/qtx11extras:5
+ dev-qt/qtdeclarative:5[widgets]
+ dev-qt/qtquickcontrols:5
+ dev-qt/qtconcurrent:5
+ dev-qt/qtgraphicaleffects:5
+ sys-apps/util-linux
+ media-libs/gst-plugins-base:0.10
+"
+# note if you compile protobuf with >=gcc-5.1 you need to disable the new c++11 abi
+# -D_GLIBCXX_USE_CXX11_ABI=0 to your CXXFLAGS for protobuf
+# =dev-libs/protobuf-2.6*
+
+RESTRICT="bindist fetch"
+S="${WORKDIR}"
+
+pkg_nofetch() {
+ einfo
+ einfo "Please visit ${DOWNLOAD_URL} and download ${A}"
+ einfo "which must be placed in DISTDIR directory."
+ einfo
+}
+
+src_unpack() {
+ cp "${DISTDIR}/${A}" "${WORKDIR}" || die "cp failed"
+}
+
+src_prepare() {
+ default
+
+ # removed function _install_desktop_file because happens outside of sandbox
+ sed -i -e "s/_install_desktop_file\ ||\ abort//" ${A} || die "sed failed"
+ chmod +x ${A} || die "chmod failed"
+ yes | ./${A} -d "${S}" > /dev/null || die "unpack failed"
+
+ # removed windows line for bashcompletion
+ sed -i -e "s/complete\ -F\ _gmtool\ gmtool.exe//" "${S}/${MY_PN}/completion/bash/gmtool.bash" || die "sed failed"
+}
+
+QA_PREBUILT="
+ opt/${MY_PN}/*.so*
+ opt/${MY_PN}/imageformats/*.so
+ opt/${MY_PN}/plugins/*.so*
+ opt/${MY_PN}/device-upgrade
+ opt/${MY_PN}/${MY_PN}
+ opt/${MY_PN}/genyshell
+ opt/${MY_PN}/player
+ opt/${MY_PN}/${MY_PN}adbtunneld
+ opt/${MY_PN}/gmtool
+"
+
+src_install() {
+ insinto /opt/"${MY_PN}"
+ doins -r "${MY_PN}"/{plugins,translations,icons}
+
+ doins "${MY_PN}"/{libcom,librendering}.so*
+ # library that differ from system version
+ doins "${MY_PN}"/libprotobuf.so*
+ # android library
+ doins "${MY_PN}"/{libEGL_translator,libGLES_CM_translator,libGLES_V2_translator,libOpenglRender,libemugl_logger}.so*
+
+ insopts -m0755
+ doins "${MY_PN}"/{device-upgrade,genymotion,genyshell,player,genymotionadbtunneld,gmtool}
+
+ pax-mark -m "${ED%/}/opt/${MY_PN}/${MY_PN}"
+ pax-mark -m "${ED%/}/opt/${MY_PN}/gmtool"
+
+ dosym "${ED%/}"/opt/"${MY_PN}"/genyshell /opt/bin/genyshell
+ dosym "${ED%/}"/opt/"${MY_PN}"/"${MY_PN}" /opt/bin/"${MY_PN}"
+ dosym "${ED%/}"/opt/"${MY_PN}"/gmtool /opt/bin/gmtool
+
+ # Workaround
+ dosym "${ED%/}/"usr/$(get_libdir)/qt5/plugins/imageformats/libqsvg.so /opt/"${MY_PN}"/imageformats/libqsvg.so
+ dosym "${ED%/}/"usr/$(get_libdir)/qt5/plugins/sqldrivers/libqsqlite.so /opt/"${MY_PN}"/sqldrivers/libqsqlite.so
+
+ newbashcomp "${MY_PN}/completion/bash/gmtool.bash" gmtool
+
+ if has_version "app-shells/zsh" ; then
+ insinto /usr/share/zsh/site-functions
+ doins "${MY_PN}/completion/zsh/_gmtool"
+ fi
+
+ make_desktop_entry "/opt/${MY_PN}/${MY_PN}" "Genymotion ${PV}" "/opt/${MY_PN}/icons/icon.png" "Development;Emulator;"
+ mv "${ED%/}"/usr/share/applications/*.desktop "${ED%/}"/usr/share/applications/"${MY_PN}".desktop || die "mv failed"
+}
+
+pkg_postinst() {
+ elog "Genymotion needs adb to work correctly: install with android-sdk-update-manager"
+ elog "'Android SDK Platform-tools' and 'Android SDK Tools'"
+ elog "Your user should also be in the android group to work correctly"
+ elog "Then in Genymotion set the android-sdk-update-manager directory: (Settings->ADB)"
+ elog
+ elog " /opt/android-sdk-update-manager"
+}
next reply other threads:[~2017-11-26 22:25 UTC|newest]
Thread overview: 44+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-11-26 22:25 Ettore Di Giacinto [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-07-11 16:29 [gentoo-commits] repo/gentoo:master commit in: app-emulation/genymotion-bin/ Eli Schwartz
2024-07-11 16:29 Eli Schwartz
2024-01-20 13:10 Sam James
2024-01-20 13:10 Sam James
2023-07-26 7:38 Joonas Niilola
2023-07-26 7:38 Joonas Niilola
2023-07-02 22:22 Sam James
2023-02-26 8:01 Joonas Niilola
2023-02-26 8:01 Joonas Niilola
2023-02-01 6:16 Joonas Niilola
2023-02-01 6:16 Joonas Niilola
2021-05-04 13:30 Joonas Niilola
2021-05-04 13:30 Joonas Niilola
2021-02-10 14:55 Joonas Niilola
2021-02-10 14:55 Joonas Niilola
2021-02-01 16:32 Sam James
2020-10-31 15:58 Joonas Niilola
2020-10-31 15:58 Joonas Niilola
2020-09-15 14:11 Joonas Niilola
2020-09-15 14:11 Joonas Niilola
2020-04-17 7:36 Joonas Niilola
2020-04-17 7:36 Joonas Niilola
2020-02-19 11:53 Joonas Niilola
2020-02-19 11:53 Joonas Niilola
2019-12-02 22:28 Andreas Sturmlechner
2019-12-02 22:28 Andreas Sturmlechner
2019-06-14 17:46 Thomas Deutschmann
2019-04-27 13:24 Michał Górny
2019-04-27 13:24 Michał Górny
2018-10-18 11:56 Virgil Dupras
2018-10-18 11:56 Virgil Dupras
2018-05-20 0:16 Aaron Bauman
2017-12-21 6:41 Ulrich Müller
2017-11-26 22:25 Ettore Di Giacinto
2017-09-04 20:45 Ettore Di Giacinto
2017-09-04 20:45 Ettore Di Giacinto
2017-06-04 15:18 Ettore Di Giacinto
2017-06-04 15:18 Ettore Di Giacinto
2017-04-21 13:05 Ettore Di Giacinto
2017-03-25 12:53 Ettore Di Giacinto
2017-02-16 10:43 Ettore Di Giacinto
2017-01-26 17:49 Ettore Di Giacinto
2017-01-24 18:24 Ettore Di Giacinto
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1511735068.cbb4e9e1c026725d46ca03f713e2d5ce5999ca29.mudler@gentoo \
--to=mudler@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox